# Uses of Interface
org.eclipse.ui.application.IActionBarConfigurer

Packages that use IActionBarConfigurer
Package
Description
org.eclipse.ui.application
Application-level APIs for configuring and controling the Eclipse Platform User Interface.
org.eclipse.ui.internal

## Uses of IActionBarConfigurer in org.eclipse.ui.application

Methods in org.eclipse.ui.application that return IActionBarConfigurer
Modifier and Type
Method
Description
`protected IActionBarConfigurer`
ActionBarAdvisor.`getActionBarConfigurer()`
Returns the action bar configurer.
`IActionBarConfigurer`
IWorkbenchWindowConfigurer.`getActionBarConfigurer()`
Returns the action bar configurer for this workbench window.
Methods in org.eclipse.ui.application with parameters of type IActionBarConfigurer
Modifier and Type
Method
Description
`ActionBarAdvisor`
WorkbenchWindowAdvisor.`createActionBarAdvisor(IActionBarConfigurer configurer)`
Creates a new action bar advisor to configure the action bars of the window via the given action bar configurer.
`void`
WorkbenchAdvisor.`fillActionBars(IWorkbenchWindow window, IActionBarConfigurer configurer, int flags)`
Deprecated.
since 3.1, override `ActionBarAdvisor.fillActionBars(int)` instead
Constructors in org.eclipse.ui.application with parameters of type IActionBarConfigurer
Modifier
Constructor
Description
``
`ActionBarAdvisor(IActionBarConfigurer configurer)`
Creates a new action bar advisor to configure a workbench window's action bars via the given action bar configurer.

## Uses of IActionBarConfigurer in org.eclipse.ui.internal

Methods in org.eclipse.ui.internal that return IActionBarConfigurer
Modifier and Type
Method
Description
`IActionBarConfigurer`
WorkbenchWindowConfigurer.`getActionBarConfigurer()`